/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODTURCAIXA                                             */
/* Tabela : PRODTURCAIXA                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 27/06/2007 - FELIPE HENRIQUE                                               */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
             o.name = 'DTULTATU_PRODTURCAIXA'and
             type = 'TR'                     and
             u.uid = o.uid                   and
             u.name = USER)
   DROP TRIGGER DTULTATU_PRODTURCAIXA
GO

CREATE TRIGGER DTULTATU_PRODTURCAIXA
ON PRODTURCAIXA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'PRODTURCAIXA', CDFILIAL, 'CDFILIAL='   + CDFILIAL   + ';' +
                                                                'CDCAIXA='    + CDCAIXA    + ';' +
                                                                'CDSERVFILI=' + CDSERVFILI + ';' +
                                                                'CDPRODUTO='  + CDPRODUTO  + ';', CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) FROM DELETED);
   END
   ELSE BEGIN
      UPDATE PRODTURCAIXA
      SET DTULTATUPRTURCA = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
      FROM INSERTED
      WHERE(ISNULL(PRODTURCAIXA.CDFILIAL,0)    = ISNULL(INSERTED.CDFILIAL,0))AND
           (ISNULL(PRODTURCAIXA.CDCAIXA,0)     = ISNULL(INSERTED.CDCAIXA,0))AND
           (ISNULL(PRODTURCAIXA.CDSERVFILI,0)  = ISNULL(INSERTED.CDSERVFILI,0))AND
           (ISNULL(PRODTURCAIXA.CDPRODUTO,0)   = ISNULL(INSERTED.CDPRODUTO,0));
   END;
END;
GO

UPDATE PRODTURCAIXA SET DTULTATUPRTURCA = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) WHERE DTULTATUPRTURCA IS NULL
GO

IF EXISTS(SELECT * FROM sysobjects O
          WHERE
            o.name = 'DEFAULT_DTULTATUPRTURCA' and
            type = 'D')
   ALTER TABLE PRODTURCAIXA DROP CONSTRAINT DEFAULT_DTULTATUPRTURCA
GO

ALTER TABLE PRODTURCAIXA ADD CONSTRAINT DEFAULT_DTULTATUPRTURCA
DEFAULT CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
FOR DTULTATUPRTURCA
GO


-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_PRODTURCAIXA','5.01.018';
GO

