<?php
namespace Zeedhi\DevOps\Model\Devops\Entities\Base;


abstract class ProductVersion {
    
    
    /** @var \Datetime  */
    protected $updated;
    /** @var \Datetime  */
    protected $created;
    /** @var string  */
    protected $isActive = 'Y';
    /** @var string  */
    protected $isLts = 'N';
    /** @var string  */
    protected $isBeta = 'N';
    /** @var string  */
    protected $isBuild = 'N';
    /** @var string  */
    protected $isRevision = 'N';
    /** @var int  */
    protected $build;
    /** @var int  */
    protected $revision;
    /** @var int  */
    protected $version;
    /** @var int  */
    protected $id;
    /** @var string  */
    protected $modulesConfiguration;
    /** @var \Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization  */
    protected $organization;
    /** @var \Zeedhi\DevOps\Model\Configurationmanager\Entities\Product  */
    protected $product;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $createdBy;
    /** @var \Zeedhi\DevOps\Model\Profile\Entities\ZhUser  */
    protected $updatedBy;

    public function getUpdated() {
        return $this->updated;
    }
	public function setUpdated(\Datetime $updated) {
        $this->updated = $updated;
    }
	public function getCreated() {
        return $this->created;
    }
	public function setCreated(\Datetime $created) {
        $this->created = $created;
    }
	public function getIsActive() {
        return $this->isActive;
    }
	public function setIsActive($isActive) {
        $this->isActive = $isActive;
    }
	public function getIsLts() {
        return $this->isLts;
    }
	public function setIsLts($isLts) {
        $this->isLts = $isLts;
    }
    public function getIsBeta() {
        return $this->isBeta;
    }
    public function setIsBeta($isBeta) {
        $this->isBeta = $isBeta;
    }
	public function getIsBuild() {
        return $this->isBuild;
    }
	public function setIsBuild($isBuild) {
        $this->isBuild = $isBuild;
    }
	public function getIsRevision() {
        return $this->isRevision;
    }
	public function setIsRevision($isRevision) {
        $this->isRevision = $isRevision;
    }
	public function getBuild() {
        return $this->build;
    }
	public function setBuild($build) {
        $this->build = $build;
    }
	public function getRevision() {
        return $this->revision;
    }
	public function setRevision($revision) {
        $this->revision = $revision;
    }
	public function getVersion() {
        return $this->version;
    }
	public function setVersion($version) {
        $this->version = $version;
    }
	public function getId() {
        return $this->id;
    }
	public function setId($id) {
        $this->id = $id;
    }
	public function getModulesConfiguration() {
        return $this->modulesConfiguration;
    }
	public function setModulesConfiguration($modulesConfiguration = NULL) {
        $this->modulesConfiguration = $modulesConfiguration;
    }
	public function __construct() {
        $this->updated = new \DateTime();
		$this->created = new \DateTime();
    }
	public function getOrganization() {
        return $this->organization;
    }
	public function setOrganization(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization $organization) {
        $this->organization = $organization;
    }
	public function getProduct() {
        return $this->product;
    }
	public function setProduct(\Zeedhi\DevOps\Model\Configurationmanager\Entities\Product $product) {
        $this->product = $product;
    }
	public function getCreatedBy() {
        return $this->createdBy;
    }
	public function setCreatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $createdBy) {
        $this->createdBy = $createdBy;
    }
	public function getUpdatedBy() {
        return $this->updatedBy;
    }
	public function setUpdatedBy(\Zeedhi\DevOps\Model\Profile\Entities\ZhUser $updatedBy) {
        $this->updatedBy = $updatedBy;
    }
}